/***************************************************************************
                          sconfiguration.h  -  description
                             -------------------
    begin                : Mon Dec 30 2002
    copyright            : (C) 2002 by Andre Stein
    email                : andre_stein@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SCONFIGURATION_H
#define SCONFIGURATION_H


/**
  *@author Andre Stein
  */

class SConfiguration
{
public: 
	SConfiguration();
	~SConfiguration();

        bool isSnowFlakes() { return snowFlakes; }
        bool isMusic() { return music; }
        bool isReflection() { return reflection; }
        bool isFullscreen() { return fullscreen; }
        
        void setSnowFlakes(bool b) { snowFlakes = b; }
        void setMusic(bool b) { music = b; }
        void setReflection(bool b) { reflection = b; }
        void setFullscreen(bool b) { fullscreen = b; }
  /** No descriptions */
  void save(const char* filename);
  /** No descriptions */
  void load(const char* filename);
  /** No descriptions */
  void defaultConfig();
protected:
        bool snowFlakes;
        bool music;
        bool reflection;
        bool fullscreen;
};

#endif

