/***************************************************************************
                          screditsscreen.h  -  description
                             -------------------
    begin                : Sun Dec 29 2002
    copyright            : (C) 2002 by Andre Stein
    email                : andre_stein@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SCREDITSSCREEN_H
#define SCREDITSSCREEN_H

#include "sbmpfont.h"

/**
  *@author Andre Stein
  */

class SCreditsScreen
{
public: 
	SCreditsScreen();
	~SCreditsScreen();

        void init(SBMPFont* bmpFont) { font = bmpFont; }
        void update(float frametime);
        void reset();
protected:
        SBMPFont* font;
        float position;
        
        void draw();
};

#endif
