/***************************************************************************
                          sfadelogo.h  -  description
                             -------------------
    begin                : Sun Dec 22 2002
    copyright            : (C) 2002 by Andre Stein
    email                : andre_stein@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SFADELOGO_H
#define SFADELOGO_H

#include "sbmptexture.h"

/**
  *@author Andre Stein
  */

enum SFadeType
{
        SCALE_FADE,
        NORMAL_FADE                       
};

class SFadeLogo
{
public: 
	SFadeLogo();
	~SFadeLogo();

        void update(float frametime);
        /** No descriptions */
        void init(const char* filename, SFadeType fade, float speed = 0.0f );
        /** No descriptions */
        bool isFinished();
protected:
        SBMPTexture texture;
        SFadeType fadeType;
        float fadeFactor;
        float fadeSpeed;
        
        void draw();
};

#endif
