/***************************************************************************
                          sinputdialog.h  -  description
                             -------------------
    begin                : Fri Dec 27 2002
    copyright            : (C) 2002 by Andre Stein
    email                : andre_stein@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SINPUTDIALOG_H
#define SINPUTDIALOG_H

#include "sbmpfont.h"

/**
  *@author Andre Stein
  */

class SInputDialog
{
public: 
	SInputDialog();
	~SInputDialog();

        void init(SBMPFont* bmpFont) { font = bmpFont; }
        void keyEvent(char c);         
        void create(int maxSize, const char* titleString);
        const char* getInput() const { return string; }
        void backspace();
        void draw();
protected:
        SBMPFont* font;
        int size;
        char* string;
        char* title;
        int position;

};

#endif
